Subject: RE: RFC 1595: definition of 15-minute intervals

From: "Greene, Wedge" <[email-masked]>
Date: Fri, 5 Jun 1998 16:38:15 -0600

I hope we follow T1.231.  Sync, of all the elements being reported on, is
dependent on these being statically configured time bins.

###############################################################
# [email-masked]                                        #
# ----------------------------------------------------------- #
# Wedge Greene                              Advisory Engineer #
# MCI                                            Architecture #
#                         Next Generation Intelligent Network #
# 901 International Pky              Fax:   +1 (972) 498-1147 #
# Richardson, Texas  75081           Phone: +1 (972) 498-1232 #
# U.S.A.                                                      #
###############################################################

> -----Original Message-----
> From:	Rajul Shah [SMTP:[email-masked]]
> Sent:	Friday, June 05, 1998 11:38 AM
> To:	atommib
> Subject:	RFC 1595: definition of 15-minute intervals
> 
> 
> ANSI T1.231 requires the 15-minute intervals for performance 
> monitoring to start on the 1/4 hour. However, the definition
> in RFC 1595 makes no mention of this. I suspect this was
> intentional to simplify matters. (One need not worry about
> time moving forwards or backwards by virtue of NTP.:)
> 
> Is it correct to assume that the 15-minute intervals specified
> in the MIB are NOT required to be on the 1/4 hour? It makes
> a big difference implementation wise. 
> 
> For example, if the device comes online at 12:02:00, then according
> to T1.231, the first complete 15-minute interval will become available
> at 12:30:00 (12:15 -> 12:30, 28 minutes after being up). On the other 
> hand, as per RFC 1595, the first 15-minute interval would become 
> available at 12:17:00 (12:02 -> 12:17, 15 minutes after being up).
> 
> Rajul
> 
> 
> Rajul Shah
> [email-masked]
> Tel: (978)250-3344 x285
> http://www.avici.com

---

From: Ken Chapman <[email-masked]>
Date: Mon, 08 Jun 1998 16:35:22 -0400

At 09:15 AM 6/8/98 -0400, Rajul Shah wrote:
>>
>>I see nothing in RFC 1595
>>or its successor <draft-ietf-atommib-sonetng-02.txt> that _forbids_ an
>>implementation from starting the intervals on 15-minutes at 1/4 hour
>>wall-clock boundaries.
>>
>
>How about this snippet of sonetMediumValidIntervals in 1595:
>
>	The value of this object will be n unless the device was 
>	brought online within the last (nx15) minutes, in which case
>	the value will be the number of complete 15 minute intervals
>	the device has been online.
>
>>From the above it's clear that if the device has been online for 15 
>(through 29) minutes then the value of the object should be 1. This 
>obviously won't be the case if intervals are defined to start on 
>the 1/4 hour.
>
>Curious to know what others have already done (or are planning 
>to do in this area).

We plan to start intervals on the 1/4 hour and mark the first one 
after a reset to be invalid (unless the reset is within 10 seconds
of a 1/4 hour).

	Ken